### Function

# FwupdPlugin path_sanitize_basename

since: 2.1.4

#### Declaration [src]

    gchar*
    fu_path_sanitize_basename (
      const gchar* str
    )

#### Description [src]

Sanitizes a string for use as a path basename by replacing path separators and other dangerous characters with underscores.

Available since: 2.1.4

#### Parameters

`str`

  Type: `const gchar*`

  A string to sanitize.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A newly allocated sanitized string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.